Debian Bug report logs - #422963
lvm2: Can't use LVM1 VG/LVs under LVM2; LV xxx: inconsistent LE count 32 != 64

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: Jesse Molina <jesse@opendreams.net>

Date: Wed, 9 May 2007 04:51:01 UTC

Severity: important

Tags: moreinfo, patch, sid

Merged with 315339

Found in versions 2.01.12-1, 2.01.12-2, lvm2/2.02.05-1, lvm2/2.02.06-3

Fixed in versions lvm2/2.02.06-4etch1, lvm2/2.02.24-1

Done: "Bastian Blank" <bastian@waldi.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#422963; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lvm2: Can't use LVM1 VG/LVs under LVM2; LV xxx: inconsistent LE count 32 != 64
Date: Tue, 08 May 2007 21:47:55 -0700
Package: lvm2
Version: 2.02.06-3
Severity: important


I'm having a problem getting a Debian system from Linux kernel 2.4 to 2.6 due to LVM.  On the 2.4 kernel/LVM1, the VGs and LVs work fine, mount up, and show absolutely no sign of any problem.  However, I can't get the 2.6 kernel/LVM2 to activate the VGs at all.

The interesting error messages under 2.6 include;

	"LV tmp: inconsistent LE count 32 != 64"
	
	"System ID sorrows1107837513 on /dev/sdd3 differs from sorrows1107837515 for volume group"

Notice how the LE count is about half of what it should be (reports 32, but is actually 64).  These LVs are striped across the two disks, thus two 32 LE stripes in each PV that make up the VG upon which this LV exists.



This person seems to have had the same problem, though he had four stripes;
	http://www.redhat.com/archives/linux-lvm/2006-October/msg00109.html

I originally reported this problem roughly eight months ago, with no resolution or response;
	http://www.redhat.com/archives/linux-lvm/2006-September/msg00010.html



Here is redirected stdout and stderr from the "vgchange -ay -vv" command under 2.6;

      Setting global/locking_type to 1
      Setting global/locking_dir to /var/lock/lvm
      File-based locking enabled.
    Finding all volume groups
      /dev/sda1: lvm1 label detected
      /dev/hde1: No label detected
      /dev/sdb1: No label detected
      /dev/sdb3: lvm1 label detected
      /dev/sdc1: lvm1 label detected
      /dev/sdd1: No label detected
      /dev/sdd2: No label detected
      /dev/sdd3: lvm1 label detected
      /dev/hdf1: No label detected
      Locking /var/lock/lvm/V_vg0 RB
    Finding volume group "vg0"
      /dev/sdb3: lvm1 label detected
      /dev/sdd3: lvm1 label detected
      Found /dev/sdb3 in VG vg0
      Found /dev/sdd3 in VG vg0
      System ID sorrows1107837513 on /dev/sdd3 differs from sorrows1107837515 for volume group
  LV tmp: inconsistent LE count 32 != 64
  Internal error: LV segments corrupted in tmp.
  Volume group "vg0" not found
      Unlocking /var/lock/lvm/V_vg0
      Locking /var/lock/lvm/V_vgbak1 RB
    Finding volume group "vgbak1"
      /dev/sda1: lvm1 label detected
      /dev/sdc1: lvm1 label detected
      Found /dev/sda1 in VG vgbak1
      Found /dev/sdc1 in VG vgbak1
      System ID sorrows1157424277 on /dev/sdc1 differs from sorrows1157424270 for volume group
  LV bak1: inconsistent LE count 6076 != 12152
  Internal error: LV segments corrupted in bak1.
  Volume group "vgbak1" not found
      Unlocking /var/lock/lvm/V_vgbak1



I searched around for similar problems and didn't find much help.  In one case, I saw that it was recommended to do a vgcfgbackup and restore, but this hasn't helped me.  vgck under 2.4/LVM1 doesn't show any problems with the VGs.



Info about my setup;

I've got two VGs, both are showing this problem.  In fact, newly created LVM1 VGs have this problem!  If I create new LVM1 PVs/VGs/LVs they will also have this problem under the 2.6 kernel and LVM2.

Both the 2.4 and 2.6 kernels are custom jobs -- not Debian kernels.  The versions are a 2.4.31 and a 2.6.21.x.



If I can't get this problem resolved soon, I'm going to have back everything up, blow the old LVM1 PVs, make new LVM2 PVs/VGs/LVs, and restore the data.  That's going to be difficult considering that I can't use LVM to combine my physical disks into a single logical partition.



Additional info;

user@host-->sudo vgdisplay -v
--- Volume group ---
VG Name               vg0
VG Access             read/write
VG Status             available/resizable
VG #                  0
MAX LV                256
Cur LV                3
Open LV               3
MAX LV Size           2 TB
Max PV                256
Cur PV                2
Act PV                2
VG Size               366.34 GB
PE Size               32 MB
Total PE              11723
Alloc PE / Size       11410 / 356.56 GB
Free  PE / Size       313 / 9.78 GB
VG UUID               RpRpg4-bXW7-4FTF-pi3q-OI3i-jPv7-lBs17d

--- Logical volume ---
LV Name                /dev/vg0/tmp
VG Name                vg0
LV Write Access        read/write
LV Status              available
LV #                   1
# open                 1
LV Size                2 GB
Current LE             64
Allocated LE           64
Stripes                2
Stripe size (KByte)    16
Allocation             next free
Read ahead sectors     1024
Block device           58:0

--- Logical volume ---
LV Name                /dev/vg0/var-log
VG Name                vg0
LV Write Access        read/write
LV Status              available
LV #                   2
# open                 1
LV Size                2 GB
Current LE             64
Allocated LE           64
Stripes                2
Stripe size (KByte)    16
Allocation             next free
Read ahead sectors     1024
Block device           58:4

--- Logical volume ---
LV Name                /dev/vg0/var
VG Name                vg0
LV Write Access        read/write
LV Status              available
LV #                   3
# open                 1
LV Size                352.56 GB
Current LE             11282
Allocated LE           11282
Stripes                2
Stripe size (KByte)    16
Allocation             next free
Read ahead sectors     1024
Block device           58:5


--- Physical volumes ---
PV Name (#)           /dev/sda3 (1)
PV Status             available / allocatable
Total PE / Free PE    5778 / 73

PV Name (#)           /dev/sdb3 (2)
PV Status             available / allocatable
Total PE / Free PE    5945 / 240


--- Volume group ---
VG Name               vgbak1
VG Access             read/write
VG Status             available/resizable
VG #                  2
MAX LV                256
Cur LV                1
Open LV               0
MAX LV Size           2 TB
Max PV                256
Cur PV                2
Act PV                2
VG Size               379.75 GB
PE Size               32 MB
Total PE              12152
Alloc PE / Size       12152 / 379.75 GB
Free  PE / Size       0 / 0
VG UUID               tYH829-eexE-trsb-42bR-bbRj-5hSI-7ydBF3

--- Logical volume ---
LV Name                /dev/vgbak1/bak1
VG Name                vgbak1
LV Write Access        read/write
LV Status              available
LV #                   1
# open                 0
LV Size                379.75 GB
Current LE             12152
Allocated LE           12152
Stripes                2
Stripe size (KByte)    16
Allocation             next free
Read ahead sectors     1024
Block device           58:1


--- Physical volumes ---
PV Name (#)           /dev/sdc1 (1)
PV Status             available / allocatable
Total PE / Free PE    6076 / 0

PV Name (#)           /dev/sdd1 (2)
PV Status             available / allocatable
Total PE / Free PE    6076 / 0





-- System Information:
Debian Release: 4.0
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.31-2005062601
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages lvm2 depends on:
ii  debconf [debconf-2.0]       1.5.11       Debian configuration management sy
ii  libc6                       2.3.6.ds1-11 GNU C Library: Shared libraries
ii  libdevmapper1.02            2:1.02.12-1  The Linux Kernel Device Mapper use
ii  libncurses5                 5.5-5        Shared libraries for terminal hand
ii  libreadline5                5.2-2        GNU readline and history libraries
ii  libselinux1                 1.32-3       SELinux shared libraries
ii  libsepol1                   1.14-2       Security Enhanced Linux policy lib
ii  lvm-common                  1.5.20       The Logical Volume Manager for Lin

lvm2 recommends no packages.

-- debconf information:
  lvm2/snapshots:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#422963; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Jesse Molina <jesse@opendreams.net>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 422963@bugs.debian.org (full text, mbox):

From: Jesse Molina <jesse@opendreams.net>
To: 422963@bugs.debian.org
Subject: update bug 422963
Date: Wed, 09 May 2007 23:58:00 -0700
I have resolved this issue with assistance from the LVM mailing list.

This was a known bug that was very recently (last 14 days) fixed.

Upgrading to lvm2 package version 2.02.24-6 fixed my problem.

This problem was specific to striped lvm1 metadata volumes.  Below is 
reference info and keywords, to help anyone else who is having this 
trouble in the future;

Bugzilla Bug 232397: LVM2 unable to use LVM1 striped logical volumes
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232397

"LVM2 is unable to import striped LVM1 volumes."

--

> - --------
> /cvs/lvm2/LVM2/WHATS_NEW:
> revision 1.586
> date: 2007/03/15 13:38:27;  author: agk;  state: Exp;  lines: +2 -2
> Try to fix reading in of lvm1 striped LVs.
> There are two fixes other than improving variable names and updating
> code layout etc.
>
> The loop counter is incremented by area_len instead of area_len * 
stripes;
>
> the 3rd _check_stripe parameter is no longer multiplied by number of
> stripes.

--

This bug may be closed.



-- 
# Jesse Molina
# Mail = jesse@opendreams.net
# Page = page-jesse@opendreams.net
# Cell = 1.602.323.7608
# Web  = http://www.opendreams.net/jesse/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#422963; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to 422963@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 422963@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 422963@bugs.debian.org
Cc: control@bugs.debian.org, debian-release@lists.debian.org
Subject: Candidate for etch_r2? Potential for upgrade problems with LVM (#422963)
Date: Fri, 21 Sep 2007 00:42:18 +0100
[Message part 1 (text/plain, inline)]
tags 422963 +patch
thanks

[ Apologies for the delay in this - I should have offered this patch a
  while ago... :-( ]

I helped a friend do an upgrade from sarge to etch a few weekends
back, and we were bitten by this bug along the way - the first time we
rebooted the machine after the kernel upgrade, the system broke; it
was unable to mount any of its filesystems that depended on lvm. He
has striped LVs using the old LVM1 format, and this bug (#422963)
happened.

This could potentially leave systems unbootable and difficult to
repair after an upgrade. My friend was lucky - his root fs is not on
LVM, and I was on hand with my laptop and was able to build a quick
backport of the latest upstream LVM code and transfer the newly-built
libraries onto the system using a USB key.

As this could cause nasty surprises for people updating to etch, I
think it's worthwhile backporting the fix from the newer upstream for
a stable update. Patch attached doing exactly that. I've tested this
to confirm it fixes the bug, and it does. No regressions that I can
see either.

CC: to debian-release for SRM opinions - should this go into etch_r2?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"You can't barbecue lettuce!" -- Ellie Crane
[lvm2_2.02.06-4etch1.interdiff.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Thu, 20 Sep 2007 23:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#422963; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 422963@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: 422963@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Candidate for etch_r2? Potential for upgrade problems with LVM (#422963)
Date: Fri, 21 Sep 2007 08:51:12 +0200
At 1190331738 time_t, Steve McIntyre wrote:
> CC: to debian-release for SRM opinions - should this go into etch_r2?

IMHO, yes.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#422963; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 422963@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 422963@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#422963: Candidate for etch_r2? Potential for upgrade problems with LVM (#422963)
Date: Fri, 21 Sep 2007 09:53:46 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 21, 2007 at 12:42:18AM +0100, Steve McIntyre wrote:
> [ Apologies for the delay in this - I should have offered this patch a
>   while ago... :-( ]

ACK from maintainer. Will upload that in the next days if SRM accepts.

Bastian

-- 
All your people must learn before you can reach for the stars.
		-- Kirk, "The Gamesters of Triskelion", stardate 3259.2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#422963; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 422963@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 422963@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#422963: Candidate for etch_r2? Potential for upgrade problems with LVM (#422963)
Date: Fri, 21 Sep 2007 10:05:53 +0200
Bastian Blank wrote:
> On Fri, Sep 21, 2007 at 12:42:18AM +0100, Steve McIntyre wrote:
>> [ Apologies for the delay in this - I should have offered this patch a
>>   while ago... :-( ]
> 
> ACK from maintainer. Will upload that in the next days if SRM accepts.

Please upload.

Cheers

Luk




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jesse Molina <jesse@opendreams.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 422963-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 422963-close@bugs.debian.org
Subject: Bug#422963: fixed in lvm2 2.02.06-4etch1
Date: Tue, 02 Oct 2007 19:56:18 +0000
Source: lvm2
Source-Version: 2.02.06-4etch1

We believe that the bug you reported is fixed in the latest version of
lvm2, which is due to be installed in the Debian FTP archive:

clvm_2.02.06-4etch1_amd64.deb
  to pool/main/l/lvm2/clvm_2.02.06-4etch1_amd64.deb
lvm2-udeb_2.02.06-4etch1_amd64.udeb
  to pool/main/l/lvm2/lvm2-udeb_2.02.06-4etch1_amd64.udeb
lvm2_2.02.06-4etch1.diff.gz
  to pool/main/l/lvm2/lvm2_2.02.06-4etch1.diff.gz
lvm2_2.02.06-4etch1.dsc
  to pool/main/l/lvm2/lvm2_2.02.06-4etch1.dsc
lvm2_2.02.06-4etch1_amd64.deb
  to pool/main/l/lvm2/lvm2_2.02.06-4etch1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 422963@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated lvm2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 20 Sep 2007 22:33:48 +0000
Source: lvm2
Binary: clvm lvm2-udeb lvm2
Architecture: source amd64
Version: 2.02.06-4etch1
Distribution: stable
Urgency: low
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 clvm       - Cluster LVM Daemon for lvm2
 lvm2       - The Linux Logical Volume Manager
 lvm2-udeb  - The Linux Logical Volume Manager (udeb)
Closes: 422963
Changes: 
 lvm2 (2.02.06-4etch1) stable; urgency=low
 .
   * Cope with striped lvm1 metadata volumes. Patch from upstream version
     2.02.24, thanks to Steve McIntyre. (closes: #422963)
Files: 
 98ecd6a3f914a162eeb3ee34ece76623 807 admin optional lvm2_2.02.06-4etch1.dsc
 1e7e1365fe57ec9822f61ecffeabf27d 38863 admin optional lvm2_2.02.06-4etch1.diff.gz
 97e38bb950519858c73afb37814f4364 314428 admin optional lvm2_2.02.06-4etch1_amd64.deb
 8aee54792b5912054c7418452217c2a6 202058 debian-installer optional lvm2-udeb_2.02.06-4etch1_amd64.udeb
 c15e6a8206cb98dbea775d14d204e49e 208736 admin extra clvm_2.02.06-4etch1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkcCJXMACgkQLkAIIn9ODhELtwCfRK+BW/7QOH/6z8dILI4zz02Y
EwgAoIe2VsA45lPYdkXNXE9tOceu/Tnf
=bC0S
-----END PGP SIGNATURE-----





Bug marked as fixed in version 2.02.24-1, send any further explanations to Jesse Molina <jesse@opendreams.net> Request was from "Bastian Blank" <bastian@waldi.eu.org> to control@bugs.debian.org. (Fri, 21 Nov 2008 16:45:02 GMT) Full text and rfc822 format available.

Forcibly Merged 315339 422963. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 21 Nov 2008 16:48:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Dec 2008 07:28:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:50:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.